Subject: bug#38243: Zsh does not load /etc/profile values by default

From: Ludovic Courtès <[email-masked]>
Date: Sun, 17 Nov 2019 22:42:14 +0100

Hi Danny,

"Danny O'Brien" <[email-masked]> skribis:

> Right now, an installation of zsh as a primary shell won't read in the
> environmental settings in /etc/profile -- it looks for (but doesn't
> find) a /etc/zprofile file instead.
>
> Not sure what the correct approach should be here. We could symlink
> /etc/zprofile to /etc/profile , but that would require knowing that
> /etc/profile was always available. Or we could include a source'ing of
> /etc/profile in /etc/zprofile.
>
> I'm not sure what status /etc/profile holds in Guix -- is it the
> canonical location for any user-wide environment settings? 

There’s also /etc/environment, honored by ‘pam_env’, and thus
shell-independent.

> Will it be guaranteed to be POSIXly correct, rather than having any
> bashisms?

It’s meant to be POSIX.  If you notice Bash-specific constructs, we can
surely remove those (I see a couple of “export VAR=value”, which is not
POSIX, but maybe Zsh supports it?).

Let us know what’s needed!

Thanks,
Ludo’.